#
#                             IPSTB Project
#                   ---------------------------------
#
# Copyright (C) 2006 Koninklijke Philips Electronics N.V., 
# All Rights Reserved. 
#
# Filename: sde2setup.mk
#
#
# Rev Date       Author      Comments
#-------------------------------------------------------------------------------
#   1 20060621   batelaan    Initial

# File: sde2setup.mk
# Handles setup of SDE2.

# Target: sde2setup
# Ensures SDE2 is correctly setup for the current configuration:-
# - loc_list.mk exists
# - tmFlags.h tmFlags.mk phFlags.h phFlags.mk exist
sde2setup: makelist
.PHONY: sde2setup

include $(_TMROOT)/sde/environment.mk
include $(_TMROOT)/sde/common.mk
