#
#                             IPSTB Project
#                   ---------------------------------
#
# Copyright (C) 2007 NXP B.V.,
# All Rights Reserved.
#
# Filename: $_TMROOT/project/project_makelib_ext0.mk
#
# Included from the start of $_TMROOT/$(DIR_CONFIG)/makelib.mk
#
# Rev Date       Author      Comments
#-------------------------------------------------------------------------------
#   1 20070227   batelaan    Initial
#   2 20070227   batelaan    Crosscheck fixes.
#   3 20070228   burningh    Adding EXPORTS=true by default for user space
#   4 20070301   batelaan    Set EXPORTS empty for dsp, we don't want shared libraries
#                            since we have only one application.
#   5 20070720   batelaan    Depracate KMODULE and KERNEL_MODE vars
#   5 20071023   batelaan    Only change EXPORTS for linux.

_SDE_DEP_MAKEFILES += $(_TMROOT)/project/config_makelib_include0.mk

ifeq "$(TMFL_MODE_USER)" "1"

  # For windows ce the components should define EXPORTS properly.
  ifeq "$(_TMTGTOSCLASS)" "linux"
    # Enable EXPORTS for non-kernel mode builds, to ensure shared objects are
    # built correctly,
    ifeq "$(findstring _dsp_,$(_TMDIVERSITY))" ""
      EXPORTS = true
    else
      EXPORTS =
    endif
  endif

endif
