#-----------------------------------------------------------------------
#.      COPYRIGHT (c) 2006 NXP Semiconductors 
#
# sde/default_toolchain.mk
#
# Description: Defines the default toolchain names for various configurations 
#
#
# Initial Author: Shivaraj P
# Maintained by : 
#-----------------------------------------------------------------------

#-----------------------------------------------------------------------
# changes to this file force rebuild
#-----------------------------------------------------------------------

_SDE_DEP_MAKEFILES +=   $(_TMROOT)/sde/default_toolchain.mk

#-----------------------------------------------------------------------

# Define _SDE_DIR_CONFIG without the tool chian name

_SDE_DIR_CONFIG = $(_TMTGTCPUCLASS)_$(_TMTGTOSCLASS)

# Define default too chians for various configurations

ifeq ($(_SDE_DIR_CONFIG),arm_nullos)
_SDE_DEFAULT_TOOL := gnu
else
ifeq ($(_SDE_DIR_CONFIG),arm_vxworks)
_SDE_DEFAULT_TOOL := trnd
else
ifeq ($(_SDE_DIR_CONFIG),arm_ce)
_SDE_DEFAULT_TOOL := ms
else
ifeq ($(_SDE_DIR_CONFIG),arm_cexec)
_SDE_DEFAULT_TOOL := ads
else
ifeq ($(_SDE_DIR_CONFIG),hp_nullos)
_SDE_DEFAULT_TOOL := gnu
else
ifeq ($(_SDE_DIR_CONFIG),mips_psos)
_SDE_DEFAULT_TOOL := diab
else
ifeq ($(_SDE_DIR_CONFIG),mips_vxworks)
_SDE_DEFAULT_TOOL := trnd
else
ifeq ($(_SDE_DIR_CONFIG),mips_ce)
_SDE_DEFAULT_TOOL := ms
else
ifeq ($(_SDE_DIR_CONFIG),real_mtos)
_SDE_DEFAULT_TOOL := ace
else
ifeq ($(_SDE_DIR_CONFIG),real_nullos)
_SDE_DEFAULT_TOOL := ace
else
ifeq ($(_SDE_DIR_CONFIG),tm_psos)
_SDE_DEFAULT_TOOL := tcs
else
ifeq ($(_SDE_DIR_CONFIG),x86_ce)
_SDE_DEFAULT_TOOL := ms
else
ifeq ($(_SDE_DIR_CONFIG),x86_nt)
_SDE_DEFAULT_TOOL := ms
else
ifeq ($(_SDE_DIR_CONFIG),x86_vxworks)
_SDE_DEFAULT_TOOL := trnd
endif
endif
endif
endif
endif
endif
endif
endif
endif
endif
endif
endif
endif
endif

