 
 # DO NOT CHANGE THIS FILE INDEPENDENTLY !!!
 # IT MUST BE SYNCHONISED WITH THE TMFLAGS TEMPLATE FILE ON THE
 # MOREUSE WEB SITE 
 # http://pww.cto.sc.philips.com/products/reuse_standards/html/global_files.html
 # CONTACT MOREUSE BEFORE ADDING NEW VALUES
 # constants

  TMFL_CPU_TYPE_MASK           := 0xffff0000
  TMFL_CPU_TYPE_X86            := 0x00010000
  TMFL_CPU_TYPE_MIPS           := 0x00020000
  TMFL_CPU_TYPE_TM             := 0x00030000
  TMFL_CPU_TYPE_HP             := 0x00040000
  TMFL_CPU_TYPE_ARM            := 0x00050000
  TMFL_CPU_TYPE_DSPRD          := 0x00060000
  TMFL_CPU_TYPE_8051           := 0x00070000
  TMFL_CPU_TYPE_DSPVD          := 0x00080000
  TMFL_CPU_MODEL_MASK          := 0x0000ffff
  TMFL_CPU_MODEL_I486          := 0x00000001
  TMFL_CPU_MODEL_R3940         := 0x00000002
  TMFL_CPU_MODEL_R4300         := 0x00000003
  TMFL_CPU_MODEL_TM1100        := 0x00000004
  TMFL_CPU_MODEL_TM1300        := 0x00000005
  TMFL_CPU_MODEL_TM32          := 0x00000006
  TMFL_CPU_MODEL_HP            := 0x00000007
  TMFL_CPU_MODEL_R4640         := 0x00000008
  TMFL_CPU_MODEL_ARM7          := 0x00000009
  TMFL_CPU_MODEL_ARM920T       := 0x0000000a
  TMFL_CPU_MODEL_ARM940T       := 0x0000000b
  TMFL_CPU_MODEL_ARM10         := 0x0000000c
  TMFL_CPU_MODEL_STRONGARM     := 0x0000000d
  TMFL_CPU_MODEL_RD24120       := 0x0000000e
  TMFL_CPU_MODEL_ARM926EJS     := 0x0000000f
  TMFL_CPU_MODEL_ARM946        := 0x00000010
  TMFL_CPU_MODEL_R1910         := 0x00000011
  TMFL_CPU_MODEL_R4450         := 0x00000012
  TMFL_CPU_MODEL_TM3260        := 0x00000013
  TMFL_CPU_MODEL_8051          := 0x00000014
  TMFL_CPU_MODEL_ARM922T       := 0x00000015
  TMFL_CPU_MODEL_4KEC          := 0x00000016
  TMFL_CPU_MODEL_R4000         := 0x00000017
  TMFL_CPU_MODEL_MIPS32        := 0x00000018
  TMFL_CPU_MODEL_ARM720        := 0x00000019
  TMFL_CPU_MODEL_R3900         := 0x0000001a
  TMFL_CPU_MODEL_RD16023       := 0x0000001b
  TMFL_CPU_MODEL_RD16024       := 0x0000001c
  TMFL_CPU_MODEL_ARM1176JTZS   := 0x0000001d
  TMFL_CPU_MODEL_ARM966ES      := 0x0000001e
  TMFL_CPU_MODEL_ARM968ES      := 0x0000001f
  TMFL_CPU_MODEL_ARM1020E      := 0x00000020
  TMFL_CPU_MODEL_ARM1022E      := 0x00000021
  TMFL_CPU_MODEL_ARM1026EJS    := 0x00000022
  TMFL_CPU_MODEL_ARM1156T2FS   := 0x00000023
  TMFL_CPU_MODEL_ARM1156TFS    := 0x00000024
  TMFL_CPU_MODEL_TM3271        := 0x00000025
  TMFL_CPU_MODEL_24KC          := 0x00000026
  TMFL_CPU_MODEL_24KF          := 0x00000027
  TMFL_CPU_MODEL_RD16025       := 0x00000028
  TMFL_CPU_MODEL_RD16024C1     := 0x00000029
  TMFL_CPU_MODEL_RD16025C1     := 0x0000002a
  TMFL_CPU_MODEL_24KEC         := 0x0000002b
  TMFL_CPU_MODEL_24KEF         := 0x0000002c
  TMFL_CPU_MODEL_TM3270        := 0x0000002d
  TMFL_CPU_MODEL_MIPS16        := 0x0000002e
  TMFL_CPU_MODEL_R3000         := 0x0000002f
  TMFL_CPU_MODEL_VD32040       := 0x00000030
  TMFL_CPU_MODEL_TM2270        := 0x00000031
  TMFL_CPU_MODEL_TM5250        := 0x00000032
  TMFL_CPU_MODEL_ARMV4I        := 0x00000033
  TMFL_CPU_MODEL_MIPS1         := 0x00000034
  TMFL_CPU_MODEL_MIPS2         := 0x00000035
  TMFL_CPU_MODEL_MIPS3         := 0x00000036
  TMFL_CPU_MODEL_MIPS4         := 0x00000037
  TMFL_CPU_MODEL_MIPS5         := 0x00000038
  TMFL_CPU_MODEL_MIPS64        := 0x00000039
  TMFL_ENDIAN_BIG              := 1
  TMFL_ENDIAN_LITTLE           := 0
  TMFL_OS_MASK                 := 0xff000000
  TMFL_OS_VERSION_MASK         := 0x00ffffff
  TMFL_OS_BTM                  := 0x00000000
  TMFL_OS_CE                   := 0x01000000
  TMFL_OS_CE212                := 0x01020102
  TMFL_OS_CE300                := 0x01030000
  TMFL_OS_CE600                := 0x01060000
  TMFL_OS_NT                   := 0x02000000
  TMFL_OS_NT4                  := 0x02040000
  TMFL_OS_PSOS                 := 0x03000000
  TMFL_OS_PSOS250              := 0x03020500
  TMFL_OS_PSOS200              := 0x03020000
  TMFL_OS_NULLOS               := 0x04000000
  TMFL_OS_ECOS                 := 0x05000000
  TMFL_OS_VXWORKS              := 0x06000000
  TMFL_OS_MTOS                 := 0x07000000
  TMFL_OS_CEXEC                := 0x08000000
  TMFL_OS_NUCLEUS              := 0x09000000
  TMFL_OS_UCOS                 := 0x0A000000
  TMFL_OS_INTEGRITY            := 0x0B000000
  TMFL_OS_LINUX                := 0x0C000000
  TMFL_OS_OSCAN                := 0x0D000000
  TMFL_SCOPE_SP                := 0
  TMFL_SCOPE_MP                := 1
  TMFL_REL_TRACE               := 0x00000003
  TMFL_REL_ASSERT              := 0x00000002
  TMFL_REL_DEBUG               := 0x00000001
  TMFL_REL_RETAIL              := 0x00000000
  TMFL_CPU_I486                := 0x00010001
  TMFL_CPU_R3940               := 0x00020002
  TMFL_CPU_R4300               := 0x00020003
  TMFL_CPU_TM1100              := 0x00030004
  TMFL_CPU_TM1300              := 0x00030005
  TMFL_CPU_TM32                := 0x00030006
  TMFL_CPU_HP                  := 0x00040007
  TMFL_CPU_R4640               := 0x00020008
  TMFL_CPU_ARM7                := 0x00050009
  TMFL_CPU_ARM920T             := 0x0005000a
  TMFL_CPU_ARM940T             := 0x0005000b
  TMFL_CPU_ARM10               := 0x0005000c
  TMFL_CPU_STRONGARM           := 0x0005000d
  TMFL_CPU_RD24120             := 0x0006000e
  TMFL_CPU_ARM926EJS           := 0x0005000f
  TMFL_CPU_ARM946              := 0x00050010
  TMFL_CPU_R1910               := 0x00020011
  TMFL_CPU_R4450               := 0x00020012
  TMFL_CPU_TM3260              := 0x00030013
  TMFL_CPU_8051                := 0x00070014
  TMFL_CPU_ARM922T             := 0x00050015
  TMFL_CPU_4KEC                := 0x00020016
  TMFL_CPU_R4000               := 0x00020017
  TMFL_CPU_MIPS32              := 0x00020018
  TMFL_CPU_ARM720              := 0x00050019
  TMFL_CPU_R3900               := 0x0002001a
  TMFL_CPU_RD16023             := 0x0006001b
  TMFL_CPU_RD16024             := 0x0006001c
  TMFL_CPU_ARM1176JTZS         := 0x0005001d
  TMFL_CPU_ARM966ES            := 0x0005001e
  TMFL_CPU_ARM968ES            := 0x0005001f
  TMFL_CPU_ARM1020E            := 0x00050020
  TMFL_CPU_ARM1022E            := 0x00050021
  TMFL_CPU_ARM1026EJS          := 0x00050022
  TMFL_CPU_ARM1156T2FS         := 0x00050023
  TMFL_CPU_ARM1156TFS          := 0x00050024
  TMFL_CPU_TM3271              := 0x00030025
  TMFL_CPU_24KC                := 0x00020026
  TMFL_CPU_24KF                := 0x00020027
  TMFL_CPU_RD16025             := 0x00060028
  TMFL_CPU_RD16024C1           := 0x00060029
  TMFL_CPU_RD16025C1           := 0x0006002a
  TMFL_CPU_24KEC               := 0x0002002b
  TMFL_CPU_24KEF               := 0x0002002c
  TMFL_CPU_TM3270              := 0x0003002d
  TMFL_CPU_MIPS16              := 0x0002002e
  TMFL_CPU_R3000               := 0x0002002f
  TMFL_CPU_VD32040             := 0x00080030
  TMFL_CPU_TM2270              := 0x00030031
  TMFL_CPU_TM5250              := 0x00030032
  TMFL_CPU_ARMV4I              := 0x00050033
  TMFL_CPU_MIPS1               := 0x00020034
  TMFL_CPU_MIPS2               := 0x00020035
  TMFL_CPU_MIPS3               := 0x00020036
  TMFL_CPU_MIPS4               := 0x00020037
  TMFL_CPU_MIPS5               := 0x00020038
  TMFL_CPU_MIPS64              := 0x00020039

#endofconstants

