#!/bin/sh
# -*- backup-inhibited: t -*-

[% IF ! CONFIG_WMDRMPD -%]
  # No WMDRM files are transferred to the DSP
  [% SKIPFILE %]
[% END -%]

case "$1" in
    start)
        echo -n "Transferring DRM files..."

        mkdir /tmp/WMDRM-PD
        cp -f /opt/nxp/share/WMDRM-PD/priv.dat /tmp/WMDRM-PD/ 2>/dev/null
        cp -f /opt/nxp/share/WMDRM-PD/devcerttemplate.dat /tmp/WMDRM-PD/ 2>/dev/null

    	# TODO Need to remove these lines for final NETFLIX release
        cp -f /opt/nxp/share/WMDRM-PD/devcert.dat /tmp/WMDRM-PD/ 2>/dev/null
        mkdir /tmp/wmt
        cp -f /opt/nxp/share/wmt/*.hds /tmp/wmt/ 2>/dev/null
        echo "done"
        ;;
    stop)
        # do nothing
        ;;
    *)
        echo "Usage: $0 {start|stop}"
        exit 1
        ;;
esac
