#
#                             IPSTB Project
#                   ---------------------------------
#
# Copyright (C) 2007 NXP B.V.,
# All Rights Reserved.

#    COMPANY CONFIDENTIAL
#
# Filename: sde/mipsgnu_linux/maketarget_stb225.mk
#
#
# Rev Date       Author      Comments
#-------------------------------------------------------------------------------
#   1 20050505   batelaan    Copied from original maketarget.mk file;
#                            updated for Stb810 project.
#   2 20060807   batelaan    Cleanup. Add install functionality.
#   3 20060816   batelaan    common_ext.mk file now included via maketarget.mk
#   4 20070921   batelaan    Rename install to install_target

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# changes to this file force rebuild

_SDE_DEP_MAKEFILES += $(word $(words $(MAKEFILE_LIST)),$(MAKEFILE_LIST))

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
include $(DIR_SDE)/$(DIR_CONFIG)/maketarget.mk

#-----------------------------------------------------------------------
# IPSTB Project extentions
#-----------------------------------------------------------------------

ifndef _SDE_NO_DEFAULT_INSTALL
# Target: install_target
# Installs the application into the root file system:-
# - Copies $(_SDE_DIR_BIN)/$(TARGET) as $(<INSTALL_DIR>)/bin/$(TARGET)
install: install_target
install_target:
	@echo '  INSTALL $(TARGET) -> $(INSTALL_DIR)/bin/$(TARGET)'
	$(_SDE_ECHO)mkdir -p $(INSTALL_DIR)/bin
	$(_SDE_ECHO)cp -f $(_SDE_DIR_BIN)/$(TARGET) $(INSTALL_DIR)/bin/$(TARGET)
	$(_SDE_ECHO)chmod 0755 $(INSTALL_DIR)/bin/$(TARGET)
.PHONY: install_target

endif
