#!/bin/sh
#

case "$1" in
    start)

	vecho -n "Setting up /tmp... "

	# Use /tmp/var for /var space:
	mkdir /tmp/var
	mount -o bind /tmp/var /var

	# For symlinks from /etc:
	mkdir /var/etc

	# Other common directories:
	mkdir /var/lib /var/lock /var/run /var/tmp
	chmod 1777 /var/tmp

	vecho "done"

	;;
    stop)
	# do nothing
	;;
    *)
	echo "Usage: $0 {start|stop}"
	exit 1
	;;
esac
