#!/bin/sh
# -*- backup-inhibited: t -*-

[% IF !CONFIG_SYSLOGD -%]
  [% SKIPFILE %]
[% END -%]

case "$1" in
    start)
	vecho -n "Starting logging daemons..."
	# Start the syslog daemon
	mkdir -p /var/log

	syslogd&
	# And kernel log daemon
	klogd&
	vecho "done"
	;;
    stop)
	vecho -n "Stopping logging daemons..."
	killall syslogd
	killall klogd
	vecho "done"
	;;
    *)
	echo "Usage: $0 {start|stop}"
	exit 1
	;;
esac
